log4cxx (0.11.0-3ubuntu2) jammy; urgency=medium

  * Disable lto for now, FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Dec 2021 10:54:14 +0100

log4cxx (0.11.0-3) unstable; urgency=medium

  * Remove unused autopkgtest.patch
  * Remove overrides for no-upstream-changelog, lintian removed that tag.

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Dec 2021 12:17:54 +0100

log4cxx (0.11.0-2) unstable; urgency=medium

  * Upload to unstable to start the transition.
    (Transition Bug #970402)

 -- Tobias Frost <tobi@debian.org>  Tue, 15 Sep 2020 22:39:03 +0200

log4cxx (0.11.0-1) experimental; urgency=medium

  * Upload to experimental due to soname bump.
  * New upstream release. (Closes: #513759)
    - Drop all patches except 160_use_packaged_find_apur_m4.patch, as
      upstream has applied them in the new version.
    - The m4 directory has been moved to src, so adapt said patch for new
      location. Also, d/clean updated to reflect this change.
    - The new upstream version requires a SONAME bump on the packages.
    - Remove obsolete overrides from source/lintian-overrides
    - Override some lintian false positives about missing code.
  * Updating upstream keyring.
  * Clean more files using d/clean
  * Temporarily disable a network-based test.
  * Fix liblog4cxx-doc.docs to find doxygen docs.
  * Remove override for dh_auto_test
  * Minify upstream keyring to fix public-upstream-key-not-minimal.
  * Hint dh_installdocs to install into the right package.
  * Enable CI on salsa.d.o
  * Update autopkgtest.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 00:13:04 +0200

log4cxx (0.10.0-16) sid; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_ARTIFACTS instead of ADT_ARTIFACTS
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Tobias Frost ]
  * Use debhelper-compat instead of d/compat; bump compat to level 13.
    - put the static library into debian/non-installed.
  * Bump S-V to 4.5.0, no changes.
  * Remove -Wl,--as-needed from d/rules, it is default now in the toolchain.

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Aug 2020 19:46:18 +0200

log4cxx (0.10.0-15) sid; urgency=medium

  * Make the build reproducible, thanks lamby for the patch. (Closes: #901615)
  * Bump S-V to 4.2.1 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sun, 26 Aug 2018 16:43:21 +0200

log4cxx (0.10.0-14) sid; urgency=medium

  * Update copyright years.
  * Replace dependency for autopkgtests on liblog4cxx10-dev with unversioned
    one. Thanks to Paul Genvers for the report. (Closes: #905331)
  * Also drop unneeded dependency for autopkgtest on build-essential.
  * Bump S-V 4.2.0
    - Add "Rules-Require-Root: no" to d/control.

 -- Tobias Frost <tobi@debian.org>  Fri, 03 Aug 2018 18:07:05 +0800

log4cxx (0.10.0-13) sid; urgency=medium

  * Updated repository location after move to salsa.d.o.
  * Bump S-V to 4.1.3, needed change:
    - Remove Priority:extra from d/control, as this priority is obsolete.
  * Removing transitional packages.
  * Bump compat level to 11
    - Fix liblog4cxx-doc.doc-base, as docs are now under
      /usr/share/doc/log4cxx-dev/html.
  * Move source.lintian-overrides to source dir.
  * Remove Break/Conflicts on packages already removed in oldstable.
  * Cleanup obsolete lintian-overrides.
  * Install NOTICE also into the doc directories, as required by the
    license.
  * Install examples into the -dev package.
  * Update patch metadatas and add dep3-headers if not already there.
  * Remove versioned dependency on base-files for liblog4cxx-doc, as
    the version constraint is fullfilled long ago already.
  * Add grapviz to Build-Depends-Indep, to complete doxygen.

 -- Tobias Frost <tobi@debian.org>  Wed, 04 Apr 2018 23:25:10 +0200

log4cxx (0.10.0-12) sid; urgency=medium

  * Also fix the testsuite with GCC-6.
  * Add Multi-Arch:xxx hints to the doc and dev packages.
  * Change to compat level 10:
    - change d/compat
    - Update B-D on debhelper >10, and remove B-D on dh-autoreconf
      (will be pulled in by debhelper 10)
    - parallel and with-autoreconf switches are now default, remove them
      from d/rules
    - add some lintian override (wrong-positives) about config.(guess|sub)
  * Change Vcs-Git to secure https:// URI
  * New patch 190-spelling-errors.patch
  * Remove some unused lintian overrides
  * Enable harderning

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Oct 2016 13:20:49 +0200

log4cxx (0.10.0-11) sid; urgency=medium

  * Fix FTBFS with GCC-6. (Closes: #811768)
  * Bump S-V to 3.9.8, no changes required.
  * Drop explicit versioned B-D on g++5 and libstdc++-5-dev.

 -- Tobias Frost <tobi@debian.org>  Fri, 01 Jul 2016 20:01:33 +0200

log4cxx (0.10.0-10) sid; urgency=medium

  * Make transitional packages Priority:extra (fixes lintian warning)
  * dep8 autpkgtest: Work around #809661 by redirecting sterr to stdout
  * d/control:
    - remove auto_clean override, it's not needed
    - at least when specifying the buildsystem (debhelper thinks it's ant)
    - override for auto_configure is then also no longer needed

 -- Tobias Frost <tobi@debian.org>  Sat, 02 Jan 2016 15:56:58 +0100

log4cxx (0.10.0-9) sid; urgency=medium

  * Upload to sid, transistion has started. (Closes: #791192)
  * Wrap extended description in d/control.

 -- Tobias Frost <tobi@debian.org>  Mon, 03 Aug 2015 21:27:07 +0200

log4cxx (0.10.0-8) experimental; urgency=medium

  * Upload to experimental
  * Rename doc and dev package to not include soname
  * Prepare library package for gcc5 and cxx11 ABI:
    - rename library package to 10v5
    - make sure to build against gcc5 from experimental
  * Cleanup d/rules

 -- Tobias Frost <tobi@debian.org>  Fri, 10 Jul 2015 07:47:19 +0200

log4cxx (0.10.0-7) unstable; urgency=medium

  * s/http/https/ in d/copyright, d/watch and d/control
  * Disable tests again... Makes problems on the buildds, needs more
    investigation.

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Jun 2015 01:16:57 +0200

log4cxx (0.10.0-6) unstable; urgency=medium

  * Upload to unstable
  * Change VCS-Browser to use a https
  * Remove doxygen database file in d/clean
  * Enable dep8 tests and arm the build-time testsuite
  * Adding zip to B-D for the testsuite
  * Suggesting zip for the library package, as this allows one to log to zip
    compressed files
  * Fix debian/changelog: Update years and remove duplicate licenese
    paragraph

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Jun 2015 00:27:43 +0200

log4cxx (0.10.0-5) experimental; urgency=medium

  * Move repository to collab-maint, as gitorious is closing.
  * Bump SV to 3.9.6 -- no changes required.
  * Update years in d/copyright

 -- Tobias Frost <tobi@debian.org>  Wed, 11 Mar 2015 12:39:18 +0100

log4cxx (0.10.0-4) unstable; urgency=medium

  * Remove unneeded B-Ds on graphviz, gsfonts and zlib1g-dev
  * Fix override in the *-doc-package regarding doxygen's jquery.js

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Jul 2014 22:18:30 +0200

log4cxx (0.10.0-3) unstable; urgency=medium

  * Remove d/TODO
  * Adding d/gbp.conf to repositor
  * Remove config.sub/guess explicitly in clean target to avoid FTBFS on arm64
    (Closes: #752035)
  * Clean also generated ltmain.sh

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 19 Jun 2014 15:34:19 +0200

log4cxx (0.10.0-2) unstable; urgency=medium

  * New maintainer. (Closes: #740507)
  * complete debian/ overhaul
    - switch from dpatch to quilt
    - switch to d/compat 9
    - switch to short debhelper format (d/rules)
    - switch to dh_autoreconf
    - d/source/format 3.0 quilt (Closes: #664399)
    - rewrite d/copyright in dep5 format
    - drop B/D on dpatch (fixes also a lintian error)
    - enable multiarch support
    - work a on package description to make linitan happier
      (all packages had same long descriptions and short one started with "A")
    - Add VCS* information to d/control
    - update to S/V 3.9.5 (no changes necessary after redoing the packaging)
    - adding misc:depends to d/control
    - Remove B/D on c++-compiler (which is a virtual package and not needed)
    - Add signature verifcation for source:
       added pgp key from file KEYS to upstream/signing-key.asc
       added support in d/watchfile
  * New patch 130-LOG4CXX-385.patch to fix FTBFS
  * Fix "Random crashes on exit()", new patch 140-bugfix-LOGCXX-322.patch,
    taken from the BTS -- thanks to Stephan Sürken (Closes: #578649)
  * New patch 150-bugfix-LOGCXX-365.patch to fix testsuite failure
  * Set priority of the -doc and -dev package to extra
  * New patch 160_use_packaged_find_apur_m4.patch, to use the packaged m4
    macros to detect libapr
  * Add several lintian overrides, e.g for doxygen stuff, false-positive
    regarding the upstream signing key, no changelogs available.

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 15 Mar 2014 21:22:26 +0100

log4cxx (0.10.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for new
    ports (closes: #548925, #726387).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 13:55:37 +0000

log4cxx (0.10.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #522197, #622538).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 15:11:52 +0200

log4cxx (0.10.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/120-gcc-4.4.dpatch added, fixes FTBFS with
    GCC 4.4, thanks to Martin Michlmayr (Closes: #510759)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 17:10:21 +0100

log4cxx (0.10.0-1) unstable; urgency=low

  * New maintainer (Closes: #491015)
  * New Upstream Release (Closes: #474138, #483191).

  * Upstream release no longer uses libxml2 (Closes: #475891, #416758)

  * debian/changelog: updated with new changes
  * debian/watch: added watch file for uscan upstream version monitoring
  * debian/control: added c++-compiler, libapr1-dev, and libaprutil1-dev to
    Build-Depends
  * debian/control: updated standards version to 3.0.0 (per lintian)
  * debian/control: updated package names to log4cxx10*
  * debian/control: added replaces and conflicts for -dev packages
    to allow upgrade from liblog4cxx9-dev
  * debian/control: added Homepage field to source package
  * debian/control: changed debhelper version to >=5
  * debian/control: set conflict for liblog4cxx10-dev to liblog4cxx9-dev
  * debian/control: added depends for liblog4cxx10-dev to libapr1-dev and
    libaprutil1-dev
  * debian/copyright: updated source location
  * debian/copyright: removed apache license and referenced
    /usr/share/common-licenses/Apache-2.0
  * debian/compat: changed to compatibility level 5 (recommended level) but
    could be set back to 4 if someone tests it
  * debian/docs: removed missing upstream files NEWS, README
  * debian/liblog4cxx9*: moved to liblog4cxx10*
  * debian/liblog4cxx10-doc.doc-base: changed name and install locations from
    liblog4cxx9-doc to liblog4cxx10-doc
  * debian/liblog4cxx10-doc.doc-base: changed section from Apps/Programming to
    Programming/C++ per lintian warning
  * debian/rules: removed changelog installation reference to ChangeLog which
    no longer exists upstream
  * debian/rules: changed "-$(MAKE) distclean" to "[ ! -f Makefile ] ||
    $(MAKE) distclean" per lintian
  * debian/patches/50-pkgconfig.dpatch: removed - pkg-config was integrated
    upstream
  * debian/patches/60-gcc-4.1.dpatch: removed - patch was applied upstream
  * debian/patches/70-gcc-4.3.dpatch: replaced with upstream patch
  * debian/liblog4cxx10-dev.dirs: added /usr/lib/pkgconfig for install of
    liblog4cxx.pc
  * debian/patches/40-manpage.dpatch, debian/liblog4cxx10.manpages: removed -
    simplesocketserver no longer in upstream source
  * debian/liblog4cxx10.install: removed usr/bin - not used without
    simplesocketserver which was removed upstream
  * debian/patches/80-bugfix-LOGCXX-298.dpatch, 110-bugfix-LOGCXX-280.dpatch,
    100-bugfix-LOGCXX-284.dpatch, 110-bugfix-LOGCXX-249.dpatch: added
    upstream build and crash bugfixes

 -- Matthew Vernon <sunergos@vernshome.net>  Wed, 16 Jul 2008 06:56:24 -0700

log4cxx (0.9.7-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patches/70-gcc-4.3.dpatch to fix FTBFS with gcc-4.3, thanks to Brian
    M. Carlson (Closes: 455134).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 21:33:00 +0100

log4cxx (0.9.7-6) unstable; urgency=low

  * debian/patches: added descriptions to the patch files
  * debian/control: removed Uploaders: line; changed standards
    version to 3.7.2; made package relationships binary NMU safe
  * debian/rules: separated architecture dependant from architecture
    independant debfile creation; removed unnecessary handling of
    nostrip option
  * debian/rules, debian/control: Removed architecture dependant compiler
    version for arm, hppa, m68k (closes: #343008)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sat, 12 Aug 2006 11:23:05 +0200

log4cxx (0.9.7-5) unstable; urgency=low

  * debian/patches/60-gcc-4.1.dpatch: fixes FTBFS with gcc-4.1
    (closes: #358281)
  * debian/liblog4cxx9-doc.doc-base: new file to create a doc-base entry
    (closes: #348819)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Fri, 14 Apr 2006 14:23:21 +0000

log4cxx (0.9.7-4) unstable; urgency=low

  * debian/control: New library package name to force rebuild with
    gcc >= 4.0.2-4 (closes: #339228)
  * debian/control: Added Section header to source package

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sun, 18 Dec 2005 21:36:16 +0100

log4cxx (0.9.7-3) unstable; urgency=low

  * debian/: control, rules: Temporary fix for internal compiler error
    on arm/m68k/hppa
  * debian/control: fixed override disparity, changed section devel to
    libdevel

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sun,  4 Sep 2005 12:34:12 +0200

log4cxx (0.9.7-2) unstable; urgency=low

  * debian/control: adjusted Standards-Version to 3.6.2
  * debian/control: removed build-dependency on libstdc++-3.3-dev
    (closes: #321558)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sat,  6 Aug 2005 10:33:54 +0200

log4cxx (0.9.7-1) unstable; urgency=low

  * debian/changelog: added summary of latest changes
  * debian/rules: added target "apply-patches" to clean up timestamps
    after the patches have been applied; no need to make "configure"
    executable anymore since its now part of the .orig tarball
  * debian/patches/50-pkgconfig.dpatch: added missing patch for configure and
    Makefile.in
  * debian/patches/Makefile, debian/patches/00list, debian/control,
    debian/patches/50-pkgconfig.dpatch, debian/patches/40-manpage.dpatch,
    debian/rules: Added dpatch support and moved changes outside of debian/
    into separate patch files
  * Re-created .orig tarball so that it contains the configure script
  * debian/control: added doc package version to Suggests: for dev
    package
  * debian/control: added doc package to the list of suggested packages for
    the dev package
  * debian/: rules, liblog4cxx9-dev.install, liblog4cxx9.install: moved .la
    and .a files to the dev package, removed debian/tmp prefix and
    use --sourcedir with dh_install
  * debian/control: added build dependency to gsfonts, needed by
    graphviz to properly render the diagrams
  * debian/: liblog4cxx9-dev.install, liblog4cxx9.install: corrected file
    format
  * debian/control: added library SONAME to the doc package
  * debian/: added library SONAME to the package files
  * debian/control: added library SONAME to the package names
  * debian/liblog4cxx.manpages: fixed path for man page
  * docs/simplesocketserver.1: moved to the docs directory; man is the
    output directory for doxygen generated man pages and is deleted by
    distclean
  * debian/rules: use distclean instead of clean to cleanup after the build
  * Makefile.am, configure.in, pkgconfig/liblog4cxx.pc.in,
    debian/control, liblog4cxx-dev.install: added pkgconfig files
    (thanks to martin f. krafft <madduck@debian.org>)
  * debian/control: added "Uploaders:" entry; renamed package names from
    log4cxx to liblog4cxx
  * debian/: Renamed log4cxx packages to liblog4cxx
  * debian/rules: must make configure executable before launching it
  * debian/rules: removed call of ./autogen.sh
  * autogen.sh: Modify upstream version to copy automake files instead of
    linking them

  * Initial Release (closes: #303892)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Thu, 31 Mar 2005 22:49:55 +0200
